<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zsElectric.boot.business.mapper.ChargeOrderInfoMapper">

    <!-- 获取充电订单信息分页列表 -->
    <select id="getChargeOrderInfoPage" resultType="com.zsElectric.boot.business.model.vo.ChargeOrderInfoVO">
        SELECT
                id,
                user_id,
                order_type,
                ec_id,
                equipment_id,
                charge_order_no,
                start_time,
                end_time,
                charge_time,
                status,
                third_party_total_cost,
                third_party_serverfee,
                third_party_elecfee,
                total_charge,
                real_cost,
                real_service_cost,
                stop_type,
                phone_num,
                plate_num,
                stop_reason,
                charge_details,
                third_party_station_id,
                pre_amt,
                real_predict_service_cost,
                masp_amount,
                masp_real_amount,
                total_masp_money,
                masp_status,
                masp_time,
                masp_desc,
                discount_money,
                discount_desc,
                discount_info_id,
                real_third_cost,
                firm_id,
                firm_price,
                coupon_price,
                coupon_id,
                remark,
                create_by,
                create_time,
                update_by,
                update_time,
                version,
                is_deleted
        FROM
            c_charge_order_info
        <where>
        </where>
    </select>

</mapper>
